indicator-applet doesn't change icon when I recieve new e-mails via Evolution

Bug #436755 reported by Igor Vatavuk on 2009-09-25
326
This bug affects 75 people
Affects Status Importance Assigned to Milestone
Evolution Indicator
Low
Neil J. Patel
Indicator Applet
Invalid
Undecided
Unassigned
evolution-indicator (Ubuntu)
Low
Neil J. Patel
Karmic
Low
Neil J. Patel
Lucid
Low
Neil J. Patel
indicator-applet (Ubuntu)
Low
Unassigned
Karmic
Low
Unassigned
Lucid
Low
Unassigned

Bug Description

Binary package hint: indicator-applet

When I receive a new e-mail I get the notification bubble but indicator-applet doesn't change the icon like it should, it also shows in the list that I have 0 messages on all my e-mail accounts.

ProblemType: Bug
Architecture: i386
Date: Fri Sep 25 19:15:05 2009
DistroRelease: Ubuntu 9.10
Package: indicator-applet 0.2.0-0ubuntu1
ProcEnviron:
 LANGUAGE=hr_HR.UTF-8
 PATH=(custom, user)
 LANG=hr_HR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.35-generic
SourcePackage: indicator-applet
Uname: Linux 2.6.31-10-generic i686

Igor Vatavuk (igor-vatavuk) wrote :

  affects indicator-applet
  importance invalid

  affects ubuntu/indicator-applet
  importance invalid

Ted Gould (ted) on 2009-09-25
Changed in indicator-applet (Ubuntu):
status: New → Invalid
Changed in indicator-applet:
status: New → Invalid

I can confirm. Unread count is wrong (i.e., zero), and I don’t get the orange-red envelope.

Changed in evolution-indicator (Ubuntu):
status: New → Confirmed
Changed in evolution-indicator:
status: New → Confirmed
b3n87 (benhellyer) wrote :

Im getting this too. The count still says zero, and the icon isnt changing and im not getting a notification.

Jeremy Nickurak (nickurak) wrote :

I don't even seem to get a zero.

warmrobot (imfrolov) wrote :

I can confirm.

drr (drr) wrote :

I too have the same problem. Indicator applet doesn't change the icon and it keeps showing (0) messages against my account even when I have received a few new mails.

indicator-applet:
  Installed: 0.2.0-0ubuntu1
  Candidate: 0.2.0-0ubuntu1

Description: Ubuntu karmic (development branch)
Release: 9.10

Morten Frisch (fmfrisch) wrote :

I have the same problem as drr descirbes.

David Barth (dbarth) wrote :

Do you have a reproducible test case? Ie is this error occurring consistently or in particular occasions?
Can you also describe your setup a bit more, ie are you using imap, mbox?

Changed in evolution-indicator:
assignee: nobody → Neil J. Patel (njpatel)
importance: Undecided → Low
Changed in evolution-indicator (Ubuntu):
assignee: nobody → Neil J. Patel (njpatel)
importance: Undecided → Low
Jeremy Nickurak (nickurak) wrote :

I'm using IMAP. I've never successfully gotten a 'new mail' icon. I always have the envelope showing. I don't even know what it's supposed to look like if there's a new message.

Igor Vatavuk (igor-vatavuk) wrote :

It happens all the time and I have 3 POP3 accounts. I get the notification bubble but the indicator never changes.

Julien Olivier (julo) wrote :

I only have one account (@gmail.com through POP3), but I have several folders, with rules that move emails automatically from the inbox to those folders. And the problem seems to occur mainly when the new email matches one of the rules. If it doesn't match any rule, it stays in the inbox, and the notification works.

Jeremy Nickurak (nickurak) wrote :

Julien: That's a different bug. This is about the mail icon never changing, even on the Inbox.

Juha Siltala (topyli) wrote :

I can't be 100% sure, but i *think* is got infected with this bug when i switched from a regular IMAP provider to Gmail IMAP some days ago.

Neil J. Patel (njpatel) wrote :

I have recently re-installed karmic and have gmail imap, gmail pop and other imap accounts setup and they all cause the icon to become 'black' when I have new mail.

This is with a default Ubuntu Karmic install with the default icon theme. I'd like to stress that the icon will not change if you aren't using an icon theme that supports the message-indicator. Can you confirm that your using the Humanity icon theme on Karmic or Human icon theme on Jaunty?

Julien Olivier (julo) wrote :

Jeremy:

Actually I was wrong, the email icon and the mail counts never change, even if the email is in the inbox. Maybe there are just random cases when this works, but I can't seem to be able to reproduce it now.

By the way, I tried with both the Humanity icon theme and the GNOME icon theme.

Vish (vish) wrote :

I'm using Ubuntu 9.10 , and i dont notice any change in the icon when receiving mail in evolution.
But the icon changes when new IM arrives in empathy. [humanity icon theme]

I have a yahoo pop and gmail pop , and the icon never changes for either of those. Nor does the count increase from (0) , it always stays zero.
But i do get the notify-osd notifications when mail arrives.

I have the same problem with 9.10 - both on the latest updated system
and in an unchanged beta boot disc. I am using an Australian ISP pop
account. The indicator applet does work as expected for Pidgin messages.

On Fri, 2009-10-23 at 16:01 +0000, mac_v wrote:
> I'm using Ubuntu 9.10 , and i dont notice any change in the icon when receiving mail in evolution.
> But the icon changes when new IM arrives in empathy. [humanity icon theme]
>
> I have a yahoo pop and gmail pop , and the icon never changes for either of those. Nor does the count increase from (0) , it always stays zero.
> But i do get the notify-osd notifications when mail arrives.
>

I have a related problem. (At least I think I do. If not then feel free to disregard this post.) I am running evolution with a gmail account. I have the evolution indicator plugin enabled and have "indicate new messages in panel" checked in preferences.

At first I thought the indicator applet wasn't working (zero count, no icon change) but realized that if I waited long enough it does work. (approx 3-5 min). This can be reproduced by shutting down evolution while there is new mail and then restarting it. A few minutes after evolution is opened the indicator applet does its thing and updates the count.

As an aside the notification bubble has the same delay before it appears.

(if this is not the same bug just let me know and I'll look for the appropriate report.)

I can confirm. I have 1 POP3 account. I get the notification bubble but the indicator never changes.

Casey J Peter (caseyjp1) wrote :

Adding that as a 9.04 upgrade to 9.10 (via distribution upgrade button via package manager update), I'm also seeing this mis-behavior. I do NOT get any incoming message information, and the indicator shows "0" no matter what is in the inbox in evolution.

Using evolution with a gmail account. no issues in jaunty.

zig59 (zig-59) wrote :

Same here.
Evolution 2.28.1 on Ubuntu 9.10 Koala 64bit final.
3 Googlemail pop accounts.
New mail arrives in inbox fine.
Evolution Indicator plugin provides pop up message on new mail arrival.
Mail Notification plugin configured for and provides sound notification.
Indicator applet 0.1 mail icon in notification area does NOT change on new mail and always shows zero mail count for all three accounts.
This is the same whether using Human or New Wave themes.

Dirk Schedler (schedler-sscs) wrote :

Same with my Ubuntu,
since the update from 9.04 to 9.10 I never saw a change of the indicator. Also there are always 0 mails in all my boxes. As it never worked I don´t know if there should be all mails counted or only the new ones.
However, the OSD notification about new mails seems to be working fine.

On Jaunty this indicator was working fine.

CarlosMartin (mostolescentro) wrote :

Same here. I've just upgrade from 9.04 to 9.10 (indicator-applet 0.1 installed). I've got one iMAP mail account and Human theme. No change in the icon if I've got new emails in the inbox and the count has always been 0.

jallmorg (jeff-amorgan) wrote :

I'm having the same problem. I never used 9.04 due to some issues with intel graphics, so I didn't have the indicator applet before Karmic. But I'm keen on using it. I'm on a fresh install of 9.10 (while keeping my /home partition from 8.10). The applet always shows (0) on my evolution email POP accounts and never indicates when a new mail arrives. I also don't receive OSD notifications (if that's relevant here). I hope we can find a way to get this sorted. Thanks for all the hard work you all put into making Ubuntu better.

K-Os=determinant (hannu-gf) wrote :

this bug effects me, too. i'm getting notifications on new e-mails via osd-notification, but indicator-applet does not mention it.

I add my voice to the choir. Bubble notifications are OK, those through indicator-applet are absent - both the icon and the e-mail count never change.

Janne Moren (jan-moren-gmail) wrote :

I have a clean install of 9.10, with Evolution data imported from a backup from 8.10. Two accounts, both using pop, never used Imap. I have never seen the mail icon change, or the message count read anything but "(0)" for either account. If it helps, I don't leave messages on the server, and I use basic SSL-encrypted pop3.

Igor Vatavuk (igor-vatavuk) wrote :

Maybe this is happening only when data is imported from backup? I imported Evolution data from 9.04.

zig59 (zig-59) wrote :

I thought this too when I read Janne's post so I created a new account and sent mail to it - still no mail icon change unfortunately.

Daniel Harvey (daniel.harvey) wrote :

I can confirm. I have POP3 account. I get the notification bubble but the indicator never changes and the "(0)" remains unchanged.

summary: - indicator-applet doesn't change icon when I recieve new e-mails
+ indicator-applet doesn't change icon when I recieve new e-mails via
+ Evolution
Daniel Harvey (daniel.harvey) wrote :

Is this related to a similar problem (bug #438149) for GMail notification? This bug indicates a change in the indicator API with karmic in relation to "draw-attention". Now while the Evolution indicator uses the C API and the GMail indicator uses the Python API, the issue could be the same?

PS this link describes the Python API issue http://blog.garethj.com/2009/10/indicator-applet-api-changes-in-ubuntu-9-10/

PPS Sorry, I have not had time to look into the C API myself.

Rick Pontefract (rjpontefract) wrote :

I'd like to confirm this too. I'm using a POP3 gmail account. The balloon appears OK but the panel icon never changes and always shows 0 messages. This is on a clean install of 9.10 with no imported evolution settings and the default theme.

Neil J. Patel (njpatel) wrote :

Hi guys, I think I've figured this out, please can you try the attached evolution-indicator deb (evolution-indicator_0.2.4-0ubuntu4_i386.deb) to see if it fixes the issue for you (restart evolution after install, `evolution --force-shutdown; evolution`. Comments welcome, thanks!

Isaiah Heyer (freshapplepy) wrote :

@Neil I installed that and now evolution seg faults on startup.

Neil J. Patel (njpatel) wrote :

Weird, please try this one (attached). If it continues to happen, do this:

$ sudo apt-get remove evolution-indicator; sudo apt-get clean
$ sudo apt-get update; sudo apt-get install evolution-indicator

This will install the one in the repos, so at least you can continue to use evolution.

Vish (vish) wrote :

I'm also having same problem of segfaults. Evolution works on downgrading evolution-indicator.
So folks can probably try if it works for anyone else.

~$ evolution

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed

** (evolution:12968): CRITICAL **: atk_object_set_name: assertion `name != NULL' failed
** (evolution:12968): DEBUG: New Indicator: Inbox pop:
** (evolution:12968): DEBUG: New Inbox inidicator
Segmentation fault

Neil J. Patel (njpatel) wrote :

Okay, thanks to mac_v's testing, this deb should work. Testing appreciated!

Isaiah Heyer (freshapplepy) wrote :

It works now, but is it supposed to only show "Inbox" instead of listing each account I have?

Neil J. Patel (njpatel) wrote :

@Isaiah: Yes, unfortunately Evolution doesn't give us enough information to distinguish POP3 accounts that deliver to the defaut Inbox. So evolution-indicator will have a 1:1 match with the accounts you see in the evolutions account sidebar (not the preference pane).

This is something that I'm looking in to for the Lucid cycle.

Daniel Harvey (daniel.harvey) wrote :

Thanks for the attention Neil. Any chance of a 64-bit deb? Be happy to test.

Isaiah Heyer (freshapplepy) wrote :

@Neil: So will this fix be pushed out to everyone using 9.10 soon?

zig59 (zig-59) wrote :

Oops, been out of the office so a bit late to the party.

Thanks for all your efforts Neil, it's appreciated.

Can I repeat Daniel Harvey's question and ask if this deb will work on 64bit Karmic or do we need a 64bit compiled deb?

Neil J. Patel (njpatel) wrote :

@Isaiah: Yep, I'm hoping to get this SRU'd asap. I'll upload a debdiff etc in a bit for help the process.

@Daniel @zig: 64-bit debs are building in my PPA now (https://edge.launchpad.net/~njpatel/+archive/ppa). Sorry for the late reply, but I'm at UDS and the hotel wireless seems to block the port that dput uses to upload to LP (ftp port?).

Neil J. Patel (njpatel) wrote :

Here's a debdiff containing the changes.

Neil J. Patel (njpatel) wrote :

Here's the patch by itself for easy review.

Daniel Harvey (daniel.harvey) wrote :

@Neil: Thanks, the 64-bit deb tests OK. Well done. Patch makes sense to me :-)

zig59 (zig-59) wrote :

Confirmed. 64bit deb works here too.

Thanks Neil.

Sebastien Bacher (seb128) wrote :

Thanks for the work there Neil, I've uploaded the sru to karmic

Changed in indicator-applet (Ubuntu Karmic):
status: New → Invalid
Changed in indicator-applet (Ubuntu):
importance: Undecided → Low
Changed in indicator-applet (Ubuntu Karmic):
importance: Undecided → Low
Changed in evolution-indicator (Ubuntu Karmic):
importance: Undecided → Low
assignee: nobody → Neil J. Patel (njpatel)
status: New → Fix Committed

Accepted evolution-indicator into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Morten Frisch (fmfrisch) wrote :

installed new update (evolution-indicator 0.2.4-0ubuntu3) from karmic-proposed. Still having the same problem. I have 2 pop3 accounts (yahoo + google) both accounts show up in the indicator-applets list, both with a zero after.

Patrick (pschoeb) wrote :

I also installed the new update (evolution-indicator 0.2.4-0ubuntu3) from karmic-proposed. I also still have the same problem, My gmail imap account generally works(unless it gets a mail at the same time as my pop3) fine but my hotmail pop3 that uses the local Inbox still is broken, and the indicator-applet still lists my hotmail account, from a previous post I thought it would be replaced by a generic Inbox entry(which I would be fine with). The error message I get when running evolution in terminal is the same as before .

* (evolution:3227): DEBUG: EI:mail_new_notify

** (evolution:3227): WARNING **: Unable to find account that matches mbox:/home/patrick/.evolution/mail/local#Inbox

When the mail comes in I get the message bubble and the notification sound, but the mail icon fails to change and the count number for hotmail is zero. Is it possible that the file in karmic-proposed does not have the correct changes?

Daniel Harvey (daniel.harvey) wrote :

@Martin: The proposed package does not appear to work (64-bit version), sorry.

Specifically:
1. Install proposed package:
  - Indicator message under Evolution remains zero
    ie "daniel@... (0)"
  - The envelope does not ever change to black

2. Re-install Neil's PPA package:
  - Indicator message now shows non-zero on new mails.
    ie "Inbox (1)"
    Note the difference from e-mail address to "Inbox" terminology
  - The envelope changes to black when new mail received.

Martin Pitt (pitti) on 2009-12-02
tags: added: verification-failed
removed: verification-needed
Sebastien Bacher (seb128) wrote :

Neil versions didn't enable simple-patchsys so the patch was not used, I fixed that and did a new upload now

Patrick (pschoeb) wrote :

Sebastian, is the new one in Karmic-proposed? because I just uninstalled evolution-indicator 0.2.4-0ubuntu3 and reinstalled it, and still have the same problems, I'm on 64bit Karmic.

pastor26 (rino187) on 2009-12-02
Changed in evolution-indicator (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2009-12-03
Changed in evolution-indicator (Ubuntu Karmic):
status: Fix Released → Triaged
Daniel Harvey (daniel.harvey) wrote :

@Sebastien: The deb does not appear to have been uploaded (last modified 30-Nov-2009 12:05).

http://archive.ubuntu.com/ubuntu/pool/main/e/evolution-indicator/evolution-indicator_0.2.4-0ubuntu3_amd64.deb

Daniel Harvey [2009-12-03 1:00 -0000]:
> @Sebastien: The deb does not appear to have been uploaded (last modified
> 30-Nov-2009 12:05).

It wasn't processed yet.

Accepted evolution-indicator into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in evolution-indicator (Ubuntu Karmic):
status: Triaged → Fix Committed
tags: removed: verification-failed
tags: added: verification-needed
Daniel Harvey (daniel.harvey) wrote :

New 64-bit package evolution-indicator_0.2.4-0ubuntu3.1 works correctly. Thanks.

Martin Pitt (pitti) on 2009-12-03
tags: added: verification-done
removed: verification-needed
Patrick (pschoeb) wrote :

evolution-indicator_0.2.4-0ubuntu3.1 update works for me too. Thanks

Morten Frisch (fmfrisch) wrote :

I can confirm evolution-indicator_0.2.4-0ubuntu3.1 working for me too

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution-indicator - 0.2.4-0ubuntu3.1

---------------
evolution-indicator (0.2.4-0ubuntu3.1) karmic-proposed; urgency=low

  * debian/rules: use simple-patchsys.mk so the previous change does something

evolution-indicator (0.2.4-0ubuntu3) karmic-proposed; urgency=low

  * debian/patches/01_fix_pop3_notifications.patch
    - Pull revision 55 from trunk to fix notifications for POP3 accounts by
      adding a indicator for the default Inbox. (LP: #436755)
 -- Sebastien Bacher <email address hidden> Wed, 02 Dec 2009 10:03:08 +0100

Changed in evolution-indicator (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Please get this fixed for lucid soon. Thanks!

Changed in evolution-indicator (Ubuntu Lucid):
status: Confirmed → In Progress
Peter Kerekfy (kerekfyp) wrote :

This fix should probably be also applied for Mbox accounts because I experience a very similar problem with local delivery using mbox file (/var/mail/[user])

Please see Bug #444630

Vish (vish) wrote :

Fixed in Lucid , with evolution-indicator 0.2.6-0ubuntu2.
Seems the lp bug# was not mentioned in changelog. Closing manually

Changed in evolution-indicator (Ubuntu Lucid):
status: In Progress → Fix Released

I'm using evolution-indicator 0.2.6-0ubuntu4 in lucid and still getting this.

I think upstream just added proper notification area support, not indicator
support.

On Mon, Mar 8, 2010 at 18:49, Rui Ferreira <email address hidden>wrote:

> I'm using evolution-indicator 0.2.6-0ubuntu4 in lucid and still getting
> this.
>
> --
> indicator-applet doesn't change icon when I recieve new e-mails via
> Evolution
> https://bugs.launchpad.net/bugs/436755
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jeremy Nickurak -= Email/XMPP: <email address hidden> =-

phillamg (me-phillg) wrote :

I have evolution-indicator 0.2.7-0ubuntu1 and a fully up-to-date Lucid on both an AMD64 machine and Intel laptop and neither works as expected. In the Indicator Applet I can see the name of my Imap account (through Evolution) but it says no new mail and the mail icon never changes when new emails arrive (neither does the count).
As it's reported as fixed I've attached a small screenshot to prove I am not mad... :-) Can somebody please re-open this bug then?

Vish (vish) wrote :

@phillamg: Firstly, it seems that your system is not up-to-date. The icon for the indicator applet has been changed a few days ago ,and the icon in your screenshot is the old one. So kindly update the system and then try again.

If you are still facing a problem in a fully updated system , open a new bug report.

phillamg (me-phillg) wrote :

@Vish: I actually preferred the green "new message" icon so I copied over those icons, plus the status icons from ubuntu-mono 0.0.6 to overwrite the newer ones which is why my screenshot looks like that. Here's one from my other machine...

Has this bug been fixed for anyone?
Alternatively are there others that are still having this problem?

If it seems to be fixed for others then I'll happily report a new bug, so as to not waste time I'll just add my comments to this one ATM.

Vins_cb (vins-cb) wrote :

Hi,
I have the same problem as you can see from the screenshot attached;
The OS is the 10.04 Beta 1 version and have just installed all the latest updates.
Thanks.

phillamg (me-phillg) wrote :

@Vish: Can you please confirm that you want a new bug report to be opened for this bug in Lucid? As yet I have seen no one say that this has been verified in fix in Lucid, except for your manually closing of this bug. I don't want to cause more work for the devs but if it needs to be a new bug just for Lucid then I'll happily report it...
[BTW it is still present in 0.2.7-0ubuntu2, listing your email account and then (0) emails next to it]

Vish (vish) wrote :

@phillamg: It works for me , the icon changes when i receive mail [pop3 accounts].

I closed the bug after I confirmed with the desktop team that the same fix that was included in Karmic was also uploaded in Lucid 0.2.6-0ubuntu2. Which works for me.It would be better if you filed a new bug report.

phillamg (me-phillg) wrote :

Thanks Vish. Interesting you mention yours is pop3 as mine is imap (from gmail). Raised bug 545113 primarily as an imap bug.

David Clayton (dcstar) wrote :

This is still occurring on my up to date Lucid system.

plopp (jirihusak) wrote :

I'm having this problem all the time since Evolution indicator appeared. I've 4 accounts set up in Evolution, all are pop3 and they are all being imported from older installation to newer installation of the system time after time ;)
Could the import of Evolution backup cause this? I even don't see any accounts in the indicator menu, just E-mail, Compose new e-mail and Contacts items.

David Clayton (dcstar) wrote :

You will only see the main Inbox and any IMAP accounts in that area. I have now installed the Mail Notification package and the Evolution stuff associated with it, that works fine and means that I can ignore this bug (for the moment).

emas (emas80spam) wrote :

I can confirm this bug, I've Evolution configured with one gmail IMAP and one work POP3, and it doesn't even consider my POP3 mailbox (I can't see it), while the number between the parenthesis representing my IMAP mailbox is always 0.

I configured gm-notify for gmail inbox and it works fine, a notification bubble appears when an email arrives and the unread number in its new voice is correct.

Majki-Fajki (miles-teg) wrote :

Since Ubuntu 9.04 Evolution doesn't interact with indicator applet. What's the point of having one then?

zig59 (zig-59) wrote :

I had this problem using pop3 GMail in 9.10 that was fixed by the efforts of Neil.

I have done a clean install of 10.04 Lucid and the indicator has worked out of the box, even after restoring my Evolution backup from 9.10.

Evolution 2.28.2
Evolution Indicator and Mail Notification plugins were swtiched on as default.

I'm using the Ubuntu-Mono-Dark icon set and the mail indicator turns green when a new mail arrives. However, Evolution has to loaded and minimised for this to work. If Evolution is full screen (ie. open) on another desktop for instance then the mail is simply downloaded and no indication is given in the taskbar.

Regards

Z

zig59 (zig-59) wrote :

Oops! No.

Just proven myself to be a liar because the indicator does work when Evolution is 'open' (i.e. not minimised) on another desktop to the one your working on. Neat and useful.

I forgot to mention in my previous post that the number of unread mails in the Inbox is also displayed correctly for me on the indicator drop down list and I'm also getting the pop up display when a new post arrives.

I also forgot to mention that I'm using the 64bit desktop version of Lucid, don't know if that may make a difference.

I know this doesn't help those with the problem but it does show that it can work and may help to narrow down any investigation into the cause of the problem.

Regards

Z

plopp (jirihusak) on 2010-05-18
Changed in indicator-applet (Ubuntu Lucid):
status: Invalid → Fix Released
status: Fix Released → Invalid
martincasc (martincasco) wrote :

I can confirm, only with Evolution minimised the bubble notify me that a new mails arrives, the mail icon turns green for a few seconds and the back to normal. But the messaging menu always said I have 0 non read mails, but I have a lot of them..

I have 2 IMAP accounts and 1 POP3 account and it doesn't work for me. Also I'm using Lucid 32 bits. Messaging menu version: 0.3.7

Geoff Goehle (goehle) wrote :

@martincasc: A lot of what you are describing is expected behavior. I think there may be some confusion about what the indicator applet does so I'll do my best to clarify.

1. The evolution indicator only works when evolution is running and as of right now evolution has to have an open window to be running. The window can be minimized or put on a desktop you don't use often, but it has to be there. (see Bug 460483)

2. The evolution indicator does _not_ count/indicate unread messages. It only responds to messages which have arrive while evolution is not the active window. Here is a usage situation:

Suppose you have evolution running and minimized and lets say you receive 2 new emails. You should get a little notification, the indicator applet should turn green, and if you click on the applet the number listed next to your mailbox should be (2). Now suppose you click on the inbox and it presents evolution and you navigate to the email component. The moment your inbox is presented to you the indicator applet should turn grey and the number listed next to your inbox should be (0). This will happen regardless of whether you have read either of your new mails.

Whats going on is that the indicator is (by design) resetting itself the moment you look at your email, even if you don't decide to open your unread messages. It assumes that since you opened evolution you know the email is there and will get to it when you get to it. As a further illustration here are two usage scenarios which will _not_ activate the indicator.

1. Marking an existing message as unread. The indicator doesn't count unread messages and this will not trigger any notifications.

2. Receiving new mail while evolution is open and active. If you receive new mail while you are currently viewing your inbox it will _not_ trigger the applet. This is a big one since I imagine many users are trying to test the applet by leaving evolution open so that they can see when they get new mail (so they can tell if the applet is working or not). But as long as evolution is your active window, the applet won't respond.

Jeremy Nickurak (nickurak) wrote :
Download full text (3.2 KiB)

On the subject of Evolution's use of the indicator tray...

Does this seem counter intuitive to anyone? The indicator is used just as a
notice of how many notifications you've had since you focused Evolution,
apparently, meaning that even if you have all sorts of things in evolution
that need your attention, but even accidentally focus it for a fraction of a
second, all that state is thrown out.

Compare this to the behavior of gm-notify (
https://launchpad.net/gm-notify). It's not perfect, and it's
gmail-specific... but its entry in the
messaging menu tells you how many messages you haven't read, and in what
folders. This seems like a much more predictable, stable, and intuitive
model.

Thoughts?

On Mon, May 31, 2010 at 10:30, Geoff Goehle <email address hidden> wrote:

> @martincasc: A lot of what you are describing is expected behavior. I
> think there may be some confusion about what the indicator applet does
> so I'll do my best to clarify.
>
> 1. The evolution indicator only works when evolution is running and as
> of right now evolution has to have an open window to be running. The
> window can be minimized or put on a desktop you don't use often, but it
> has to be there. (see Bug 460483)
>
> 2. The evolution indicator does _not_ count/indicate unread messages.
> It only responds to messages which have arrive while evolution is not
> the active window. Here is a usage situation:
>
> Suppose you have evolution running and minimized and lets say you
> receive 2 new emails. You should get a little notification, the
> indicator applet should turn green, and if you click on the applet the
> number listed next to your mailbox should be (2). Now suppose you click
> on the inbox and it presents evolution and you navigate to the email
> component. The moment your inbox is presented to you the indicator
> applet should turn grey and the number listed next to your inbox should
> be (0). This will happen regardless of whether you have read either of
> your new mails.
>
> Whats going on is that the indicator is (by design) resetting itself the
> moment you look at your email, even if you don't decide to open your
> unread messages. It assumes that since you opened evolution you know
> the email is there and will get to it when you get to it. As a further
> illustration here are two usage scenarios which will _not_ activate the
> indicator.
>
> 1. Marking an existing message as unread. The indicator doesn't count
> unread messages and this will not trigger any notifications.
>
> 2. Receiving new mail while evolution is open and active. If you
> receive new mail while you are currently viewing your inbox it will
> _not_ trigger the applet. This is a big one since I imagine many users
> are trying to test the applet by leaving evolution open so that they can
> see when they get new mail (so they can tell if the applet is working or
> not). But as long as evolution is your active window, the applet won't
> respond.
>
> --
> indicator-applet doesn't change icon when I recieve new e-mails via
> Evolution
> https://bugs.launchpad.net/bugs/436755
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
...

Read more...

Geoff Goehle (goehle) wrote :

@jeremy: I think it has its pros and cons. I certainly don't want the indicator applet to be "green" whenever I have unread mail. It can take me weeks to get around to reading certain messages. If the applet was stuck on "green" that whole time then it loses any functionality. (For example, you wouldn't get visual notification of new chats as long as you have at least one uread message.) On the other hand I do think the number next to the mailbox should indicate the number of unread messages and not just the number of "new" messages. This would be easy enough to fix, but should probably be addressed as separate bug.

As an aside gm-notify actually affords the same functionality. Once you get indications of new messages if you click on the account name then the indicator resets without opening gmail. This gives you the option to acknowledge that you have new email without having to actually read it leaving the applet free to indicate new chats or what have you.

Jeremy Nickurak (nickurak) wrote :

It also lets you select which folders/labels you'd like indicated, so you
don't have to be indicated on all of them... just the ones you're interested
in.

Having the count be correct even if the main green indicator changes is
important.

On Mon, May 31, 2010 at 11:05, Geoff Goehle <email address hidden> wrote:

> @jeremy: I think it has its pros and cons. I certainly don't want the
> indicator applet to be "green" whenever I have unread mail. It can take
> me weeks to get around to reading certain messages. If the applet was
> stuck on "green" that whole time then it loses any functionality. (For
> example, you wouldn't get visual notification of new chats as long as
> you have at least one uread message.) On the other hand I do think the
> number next to the mailbox should indicate the number of unread messages
> and not just the number of "new" messages. This would be easy enough to
> fix, but should probably be addressed as separate bug.
>
> As an aside gm-notify actually affords the same functionality. Once you
> get indications of new messages if you click on the account name then
> the indicator resets without opening gmail. This gives you the option
> to acknowledge that you have new email without having to actually read
> it leaving the applet free to indicate new chats or what have you.
>
> --
> indicator-applet doesn't change icon when I recieve new e-mails via
> Evolution
> https://bugs.launchpad.net/bugs/436755
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jeremy Nickurak -= Email/XMPP: <email address hidden> =-

martincasc (martincasco) wrote :

@Geoff Goehle: thanks for your explanation. Obviously I thought it was a bug, but you described very clear... And I can confirm that I was wrong: http://img85.imageshack.us/img85/3156/pantallazofc.png

Neil J. Patel (njpatel) wrote :

Hey, the reason we don't have the actual unread message count at the moment was that Evolution's Plugin API wouldn't support it properly. However I've seen a branch go up that seems to indicate that their API that improved significantly. I definitely would like it to show the exactly unread message count rather than notification count, and I'll make sure to have a look at the API again for the Maverick cycle. That should probably be another bug, though.

plopp (jirihusak) wrote :

For the evolution-indicator's misbehavior with POP accounts see Bug #575732

Jeremy Nickurak (nickurak) wrote :

I appear to be seeing this issue with Evolution and an Exchange server under 10.10, indicator 0.2.8-0ubuntu1, evolution 2.28.3-0ubuntu10.

New (unread) messages in an exchange account exist, but the messaging menu shows '0' for the message count on the account, and the main messaging-menu indicator icon doesn't indicate anything needing attention.

Different issue, or duplicate of this?

Jeremy Nickurak (nickurak) wrote :

Same with evolution-indicator 0.2.10-0ubuntu1 and evolution 2.30.3-1ubuntu7.2

Stef Horner (stefanhorner) wrote :

almost identical to as Jeremy N.
i'm using:

ubuntu 10.10
evolution-indicator 0.2.10ubuntu1
evolution 2.30.3ubuntu6

i'm using several accounts, both pop3 and imap.
the icon doesn't change to show new mail, and the mailcount for the different accounts all show zero (0) all the time.

any suggestions?

Jan Simon (jan-simon) wrote :

Still in 11.10.

I've took a closer look to the bug reports and marked a ton of duplicates. All seem to have the same problems:

* No color changing of the icon
* Indicator shows always (0)

This bug is reported in all Ubuntu versions and the patch in this bug was never apllied.

valmar (valmar-lp) wrote :

This bug affects me on 13.04, 2 years after the last comment in this thread! Does anyone know if it was fixed in the meantime?

Ragnar Dunbar (zaroff) wrote :

This bug affects me on Ubuntu 16.04, only that now it is thunderbird instead of evolution. The mail indicator applet changes its color only very third or fourth time new mail arrives. I have no clue as to why it only sometimes reacts, I have only one mail account.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers